Skip to main content
PUT
Update Stripe collection settings for Sequence account

Headers

Sequence-Version
enum<string>

Use this header to select an API version

Available options:
2024-07-30

Path Parameters

id
string
required

Stripe Collection Settings ID

Body

application/json
enableAutomaticPayments
boolean | null

Whether to automatically collect payments by default if payment details are available

Example:

false

autoEnableStripePayments
boolean | null

Whether to automatically enable Stripe payments for new billing schedules

Example:

true

retryAnchor
enum<string> | null

The invoice date that retry offsets are counted from. Null disables automatic retries.

Available options:
SENT_DATE,
DUE_DATE
Example:

"DUE_DATE"

retryOffsetDays
integer[] | null

Days after the anchor date on which to re-attempt collection, e.g. [0, 7, 14]

Example:

Response

OK

id
string
required
Example:

"018f6b0c-7e89-7b4a-8e47-1b2e2d5a4f6c"

sequenceAccountId
string
required
Example:

"683fe518-60c8-429f-9320-8aa7efc20bcc"

enableAutomaticPayments
boolean
required

Whether to automatically collect payments by default if payment details are available

Example:

true

autoEnableStripePayments
boolean
required

Whether to automatically enable Stripe payments for new billing schedules

Example:

false

retryOffsetDays
any[]
required

Days after the anchor date on which to re-attempt collection, e.g. [0, 7, 14]

Example: